| OpenMS 2.5.0

DecoyDatabase

Create a decoy peptide database from standard FASTA databases.

Decoy databases are useful to control false discovery rates and thus estimate score cutoffs for identified spectra.

The decoy can either be generated from reversed or shuffled sequences.

To get a 'contaminants' database have a look at http://www.thegpm.org/crap/index.html or find/create your own contaminant database.

Multiple databases can be provided as input, which will internally be concatenated before being used for decoy generation. This allows you to specify your target database plus a contaminant file and obtain a concatenated target-decoy database using a single call, e.g., DecoyDatabase -in human.fasta crap.fasta -out human_TD.fasta

By default, a combined database is created where target and decoy sequences are written interleaved (i.e., target1, decoy1, target2, decoy2,...). If you need all targets before the decoys for some reason, use `only_decoy` and concatenate the files externally.

The tool will keep track of all protein identifiers and report duplicates.

The command line parameters of this tool are:

    DecoyDatabase -- Create decoy sequence database from forward sequence database.

    Full documentation: http://www.openms.de/documentation/UTILS_DecoyDatabase.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      DecoyDatabase <options>

    This tool has algorithm parameters that are not shown here! Please check the ini file for a detailed descript

    ion or use the --helphelp option.

    Options (mandatory options marked with '*'):

      -in <file(s)>*                   Input FASTA file(s), each containing a database. It is recommended to incl

                                       ude a contaminant database as well. (valid formats: 'fasta')

      -out <file>*                     Output FASTA file where the decoy database will be written to. (valid form

                                       ats: 'fasta')

      -decoy_string <string>           String that is combined with the accession of the protein identifier to

                                       indicate a decoy protein. (default: 'DECOY_')

      -decoy_string_position <choice>  Should the 'decoy_string' be prepended (prefix) or appended (suffix) to

                                       the protein accession? (default: 'prefix' valid: 'prefix', 'suffix')

      -only_decoy                      Write only decoy proteins to the output database instead of a combined

                                       database.

      -type <choice>                   Type of sequence. RNA sequences may contain modification codes, which will

                                       be handled correctly if this is set to 'RNA'. (default: 'protein' valid:

                                       'protein', 'RNA')

      -method <choice>                 Method by which decoy sequences are generated from target sequences. Note

                                       that all sequences are shuffled using the same random seed, ensuring that

                                       identical sequences produce the same shuffled decoy sequences. Shuffled

                                       sequences that produce highly similar output sequences are shuffled again

                                       (see shuffle_sequence_identity_threshold). (default: 'reverse' valid: 'rev

                                       erse', 'shuffle')

      -enzyme <enzyme>                 Enzyme used for the digestion of the sample. Only applicable if parameter

                                       'type' is 'protein'. (default: 'Trypsin' valid: 'Chymotrypsin', 'Asp-N_amb

                                       ic', 'Trypsin', 'Arg-C/P', 'Asp-N', 'Asp-N/B', 'Arg-C', 'Clostripain/P',

                                       'staphylococcal protease/D', 'Lys-C/P', 'Chymotrypsin/P', 'PepsinA + P',

                                       'iodosobenzoate', 'glutamyl endopeptidase', 'PepsinA', 'leukocyte elastase

                                       ', 'Glu-C+P', 'proline endopeptidase', 'elastase-trypsin-chymotrypsin',

                                       'no cleavage', 'unspecific cleavage', '2-iodobenzoate', 'TrypChymo', 'V8-D

                                       E', 'Alpha-lytic protease', 'Formic_acid', 'Lys-N', 'V8-E', 'Lys-C', 'CNBr

                                       ', 'Trypsin/P', 'proline-endopeptidase/HKR', 'cyanogen-bromide')

    Common UTIL options:

      -ini <file>                      Use the given TOPP INI file

      -threads <n>                     Sets the number of threads allowed to be used by the TOPP tool (default:

                                       '1')

      -write_ini <file>                Writes the default configuration file

      --help                           Shows options

      --helphelp                       Shows all options (including advanced)

    The following configuration subsections are valid:

     - Decoy   Decoy parameters section

    You can write an example INI file using the '-write_ini' option.

    Documentation of subsection parameters can be found in the doxygen documentation or the INIFileEditor.

    For more information, please consult the online documentation for this tool:

      - http://www.openms.de/documentation/UTILS_DecoyDatabase.html

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+DecoyDatabase Create decoy sequence database from forward sequence database.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'DecoyDatabase'
in[] Input FASTA file(s), each containing a database. It is recommended to include a contaminant database as well.input file*.fasta
out Output FASTA file where the decoy database will be written to.output file*.fasta
decoy_string DECOY_ String that is combined with the accession of the protein identifier to indicate a decoy protein.
decoy_string_position prefix Should the 'decoy_string' be prepended (prefix) or appended (suffix) to the protein accession?prefix,suffix
only_decoy false Write only decoy proteins to the output database instead of a combined database.true,false
type protein Type of sequence. RNA sequences may contain modification codes, which will be handled correctly if this is set to 'RNA'.protein,RNA
method reverse Method by which decoy sequences are generated from target sequences. Note that all sequences are shuffled using the same random seed, ensuring that identical sequences produce the same shuffled decoy sequences. Shuffled sequences that produce highly similar output sequences are shuffled again (see shuffle_sequence_identity_threshold).reverse,shuffle
shuffle_max_attempts 30 shuffle: maximum attempts to lower the amino acid sequence identity between target and decoy for the shuffle algorithm
shuffle_sequence_identity_threshold 0.5 shuffle: target-decoy amino acid sequence identity threshold for the shuffle algorithm. If the sequence identity is above this threshold, shuffling is repeated. In case of repeated failure, individual amino acids are 'mutated' to produce a different amino acid sequence.
seed 1 Random number seed (use 'time' for system time)
enzyme Trypsin Enzyme used for the digestion of the sample. Only applicable if parameter 'type' is 'protein'.Asp-N_ambic,Chymotrypsin,Arg-C,Arg-C/P,Asp-N/B,Trypsin,Asp-N,no cleavage,unspecific cleavage,Chymotrypsin/P,PepsinA,staphylococcal protease/D,Trypsin/P,CNBr,V8-E,glutamyl endopeptidase,2-iodobenzoate,V8-DE,leukocyte elastase,Lys-C,proline endopeptidase,Formic_acid,Alpha-lytic protease,Glu-C+P,Lys-N,iodosobenzoate,PepsinA + P,cyanogen-bromide,Lys-C/P,proline-endopeptidase/HKR,Clostripain/P,TrypChymo,elastase-trypsin-chymotrypsin
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false
+++Decoy Decoy parameters section
non_shuffle_pattern Residues to not shuffle (keep at a constant position when shuffling). Separate by comma, e.g. use 'K,P,R' here.
keepPeptideNTerm true Whether to keep peptide N terminus constant when shuffling / reversing.true,false
keepPeptideCTerm true Whether to keep peptide C terminus constant when shuffling / reversing.true,false